Miracle Docs
Admin webhooks

Update webhook endpoint (admin)

Admin variant of PATCH /v1/webhooks/endpoints/:id. Updates mutable fields (url, events, description, status). Events, if provided, REPLACE the previous subscription set.

PATCH
/v1/admin/webhook-endpoints/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.miracle.com/v1/admin/webhook-endpoints/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "ownerType": "merchant",
    "ownerId": "string",
    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
    "url": "http://example.com",
    "description": "string",
    "events": [
      "string"
    ],
    "status": "active",
    "createdAt": "string",
    "updatedAt": "string",
    "deletedAt": null
  }
}
Empty
Empty

On this page